Bug 640968 - 'Topology->Servers' shows agent count 0 and 'Topology->Agents' doesn't show 'Connected Server' details
'Topology->Servers' shows agent count 0 and 'Topology->Agents' doesn't show ...
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: High Availability (Show other bugs)
4.0.0
All Linux
low Severity medium (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Corey Welton
:
Depends On:
Blocks: rhq4 gwt-iframes
  Show dependency treegraph
 
Reported: 2010-10-07 08:01 EDT by Rajan Timaniya
Modified: 2011-05-23 21:13 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-23 21:12:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
screenshot:Topology->Agents (55.61 KB, image/png)
2010-10-07 08:01 EDT, Rajan Timaniya
no flags Details
screenshot:Topology->Servers (59.10 KB, image/png)
2010-10-07 08:01 EDT, Rajan Timaniya
no flags Details
server log (482.98 KB, text/x-log)
2010-10-07 08:02 EDT, Rajan Timaniya
no flags Details

  None (edit)
Description Rajan Timaniya 2010-10-07 08:01:25 EDT
Created attachment 452089 [details]
screenshot:Topology->Agents

Description of problem:
RHQ server has one agent connected then also 'Topology->Servers' shows agent count 0 under administration.

'Topology->Agents' – agent list doesn't show 'Connected Server' details.

Version-Release number of selected component (if applicable):
RHQ-Master build #379
http://hudson-qe.rhq.rdu.redhat.com:8080/view/RHQ/job/ci-rhq-master/379/

How reproducible:
Always

Steps to Reproduce:
1) Install RHQ server and agent
2) Log in to RHQ
3) Navigate to 'Administration'
4) Click on 'Topology->Servers'  and observer server list
5) Click on 'Topology->Agents' and observer agent list
  
Actual results:
RHQ server has one agent connected then also 'Topology->Servers' shows agent count 0 under administration.

'Topology->Agents' – agent list doesn't show 'Connected Server' details.

Expected results:
'Topology->Servers' should show connected agent count. 
'Topology->Agents' – agent list should show 'Connected Server' details.

Additional info:
Please refer attached screenshot and server log.
Comment 1 Rajan Timaniya 2010-10-07 08:01:53 EDT
Created attachment 452090 [details]
screenshot:Topology->Servers
Comment 2 Rajan Timaniya 2010-10-07 08:02:17 EDT
Created attachment 452091 [details]
server log
Comment 3 Rajan Timaniya 2010-10-28 08:05:14 EDT
Verified on RHQ-Master build #517

Observation:
'Topology->Servers' shows connected agent count. 
'Topology->Agents' – agent list shows 'Connected Server' details.
Comment 4 Corey Welton 2011-05-23 21:12:43 EDT
Bookkeeping - closing bug - fixed in recent release.
Comment 5 Corey Welton 2011-05-23 21:12:43 EDT
Bookkeeping - closing bug - fixed in recent release.
Comment 6 Corey Welton 2011-05-23 21:13:01 EDT
Bookkeeping - closing bug - fixed in recent release.

Note You need to log in before you can comment on or make changes to this bug.